Token economics
Token economics: allocation and unlocks
GET
/openapi/v1/currencies/{currency_id}/token-economicsRefresh: 5 min
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| currency_id | String | Required | Currency ID |
Request Example
curl "https://openapi.sosovalue.com/openapi/v1/currencies/1673723677362319866/token-economics" \ -H "x-soso-api-key: $SOSO_API_KEY"
Response Example
{
"token_allocation": [
{
"holder": "Community Reserve",
"percentage": 38
}
],
"token_unlock": {
"unlocked": "40500000",
"total_locked": "1000000"
},
"unlock_timeline": [
{
"vestings": [
{
"label": "Team",
"amount": 159469480.8
},
{
"label": "Investors",
"amount": 135308347.20000008
}
],
"timestamp": "1234565434567"
}
]
}Response Fields
| Field | Type | Description |
|---|---|---|
| token_allocation | Array[Object] | Token allocation list |
| token_allocation[].holder | String | Holder name |
| token_allocation[].percentage | Number | Holding percentage |
| token_unlock | Object | Token unlock summary |
| token_unlock.unlocked | String | Amount already unlocked |
| token_unlock.total_locked | String | Total locked amount |
| unlock_timeline | Array[Object] | Unlock schedule; null if no data |
| unlock_timeline[].vestings | Array[Object] | Vesting batches at this timestamp |
| unlock_timeline[].vestings[].label | String | Vesting label (e.g. Team, Investors) |
| unlock_timeline[].vestings[].amount | Number | Unlock amount |
| unlock_timeline[].timestamp | String | Unlock time (timestamp) |